All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.jdbc.export
Class RelationalTableModelExporter

    com.sas.storage.jdbc.export.RelationalTableModelExporter

    public class RelationalTableModelExporter

Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`.

Since:
  3.1

Field Summary
`protected static java.lang.String` | `TABLE_MODEL_RELATIONAL_QUERY_RUNNER_CLASS_NAME`

Constructor Summary
`RelationalTableModelExporter()`

Method Summary
`static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter)` Using a `RelationalExportInterface` object, writes non multidimensional data into a | `static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter, int[] columns, int startRow, int rowCount)` Using a `RelationalExportInterface` object, writes non multidimensional data into a | `static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter, int[] columns, int startRow, int rowCount, boolean isRawData)` Using a `RelationalExportInterface` object, writes non multidimensional data into a | `static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter, int[] columns, int startRow, int rowCount, boolean isRawData, java.util.Locale locale)` Using a `RelationalExportInterface` object, writes non multidimensional data into a | `static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter, int startRow, int rowCount, boolean isRawData)` Using a `RelationalExportInterface` object, writes non multidimensional data into a | `static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter, int startRow, int rowCount, boolean isRawData, java.util.Locale locale)` Using a `RelationalExportInterface` object, writes non multidimensional data into a | `static void` | `writeToStream(javax.swing.table.TableModel model, java.io.Writer writer, RelationalExportInterface exporter, int startRow, int rowCount, boolean isRawData, java.util.Locale locale, int[] ocolumns, java.lang.String[] headers, java.lang.String[] footers)` Using a `RelationalExportInterface` object, writes non multidimensional data into a
Field Detail
### TABLE_MODEL_RELATIONAL_QUERY_RUNNER_CLASS_NAME
    protected static final java.lang.String TABLE_MODEL_RELATIONAL_QUERY_RUNNER_CLASS_NAME
See Also: Constant Field Values
Constructor Detail
### RelationalTableModelExporter
    public RelationalTableModelExporter()
Method Detail
### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. ### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter,
                                     int startRow,
                                     int rowCount,
                                     boolean isRawData)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. `startRow` - The ordinal (0 based) of the data row in the model where to start exporting from. `rowCount` - The quantity of data rows to export. -1 means all. `isRawData` - True if the data must be exported raw, false if the data must be exported formatted. The isRawData parameter can be honored only if the model implements the `FormattedInterface`. ### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter,
                                     int startRow,
                                     int rowCount,
                                     boolean isRawData,
                                     java.util.Locale locale)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. `startRow` - The ordinal (0 based) of the data row in the model where to start exporting from. `rowCount` - The quantity of data rows to export. -1 means all. `isRawData` - True if the data must be exported raw, false if the data must be exported formatted. The isRawData parameter can be honored only if the model implements the `FormattedInterface`. `locale` - The Locale to use to transform the data. ### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter,
                                     int[] columns,
                                     int startRow,
                                     int rowCount)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. `columns` - The indexes of the columns to read. `startRow` - The ordinal (0 based) of the data row in the model where to start exporting from. `rowCount` - The quantity of data rows to export. -1 means all. ### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter,
                                     int[] columns,
                                     int startRow,
                                     int rowCount,
                                     boolean isRawData)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. `columns` - The indexes of the columns to read. `startRow` - The ordinal (0 based) of the data row in the model where to start exporting from. `rowCount` - The quantity of data rows to export. -1 means all. `isRawData` - True if the data must be exported raw, false if the data must be exported formatted. The isRawData parameter can be honored only if the model implements the `FormattedInterface`. ### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter,
                                     int[] columns,
                                     int startRow,
                                     int rowCount,
                                     boolean isRawData,
                                     java.util.Locale locale)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. `columns` - The indexes of the columns to read. `startRow` - The ordinal (0 based) of the data row in the model where to start exporting from. `rowCount` - The quantity of data rows to export. -1 means all. `isRawData` - True if the data must be exported raw, false if the data must be exported formatted. The isRawData parameter can be honored only if the model implements the `FormattedInterface`. `locale` - The Locale to use to transform the data. ### writeToStream
    public static void writeToStream(javax.swing.table.TableModel model,
                                     java.io.Writer writer,
                                     RelationalExportInterface exporter,
                                     int startRow,
                                     int rowCount,
                                     boolean isRawData,
                                     java.util.Locale locale,
                                     int[] ocolumns,
                                     java.lang.String[] headers,
                                     java.lang.String[] footers)
Using a `RelationalExportInterface` object, writes non multidimensional data into a `Writer`. Parameters: `model` - The model that contains the data to write to the `Writer`. `writer` - The `Writer` object to write to. `exporter` - The `RelationalExportInterface` object used to get the data stream to write to the `Writer`. `startRow` - The ordinal (0 based) of the data row in the model where to start exporting from. `rowCount` - The quantity of data rows to export. -1 means all. `isRawData` - True if the data must be exported raw, false if the data must be exported formatted. The isRawData parameter can be honored only if the model implements the `FormattedInterface`. `locale` - The Locale to use to transform the data. `columns` - The indexes of the columns to read. `headers` - The headers to write above the data (each header on separate line) `footers` - The footers to write below the data (each footer on separate line)
All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD
Copyright © 2009 SAS Institute Inc. All Rights Reserved.